FROM ubuntu:22.04
ENV TZ_DATA=Europe/London
RUN ln -snf /usr/share/zoneinfo/$TZ /etc/localtime && echo $TZ > /etc/timezone
RUN DEBIAN_FRONTEND=noninteractive \
  apt-get update \
  && apt-get install -y devscripts build-essential wget vim
RUN DEBIAN_FRONTEND=noninteractive apt-get install -y debhelper \
    libmunge-dev \
    libncurses5-dev \
    po-debconf \
    python3 \
    libgtk2.0-dev \
    default-libmysqlclient-dev \
    libpam0g-dev \
    libperl-dev \
    chrpath \
    libpam0g-dev \
    liblua5.1-0-dev \
    libhwloc-dev \
    dh-exec \
    librrd-dev \
    libipmimonitoring-dev \
    hdf5-helpers \
    libfreeipmi-dev \
    libhdf5-dev \
    man2html \
    libcurl4-openssl-dev \
    libpmix-dev \
    libhttp-parser-dev \
    libyaml-dev \
    libjson-c-dev \
    libjwt-dev \
    liblz4-dev \
    bash-completion \
    libdbus-1-dev

